Skip to main content
`Ctrl`+`K`
scipy.spatial.distance.

# cosine

scipy.spatial.distance.cosine(u, v, w=None)

  Compute the Cosine distance between 1-D arrays.

  The Cosine distance between u and v, is defined as

  \[1 - \frac{u \cdot v} {\|u\|_2 \|v\|_2}.\]

  where \(u \cdot v\) is the dot product of \(u\) and \(v\).

  Parameters:
    u(N,) array_like of floats

      Input array.

      Deprecated since version 1.15.0: Complex u is deprecated and will raise an error in SciPy 1.17.0

    v(N,) array_like of floats

      Input array.

      Deprecated since version 1.15.0: Complex v is deprecated and will raise an error in SciPy 1.17.0

    w(N,) array_like of floats, optional

      The weights for each value in u and v. Default is None, which gives each value a weight of 1.0

  Returns:
    cosine double

      The Cosine distance between vectors u and v.

  Examples

      >>> from scipy.spatial import distance
      >>> distance.cosine([1, 0, 0], [0, 1, 0])
      1.0
      >>> distance.cosine([100, 0, 0], [0, 1, 0])
      1.0
      >>> distance.cosine([1, 1, 0], [0, 1, 0])
      0.29289321881345254